<div class="container">

  <div class="col-md-3">
    <div>Modifier le profil</div>
    <div>Photo</div>
    <div>Documents</div>
  </div>

  <div class="col-md-9 col-sm-12 form-flex">
    <%= bootstrap_devise_error_messages! %>

    <%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f| %>
        <div class="panel panel-default devise-bs">
          <div class="panel-heading">
            <div class="form-heading-title">Obligatoire</div>
          </div>
          <div class="panel-body">
            <div class="form-group required">
              <%= f.label :first_name, 'Prénom', class: 'control-label'%>
              <%= f.text_field :first_name, class: 'form-control', :required => true %>
            </div>
            <div class="form-group required">
              <%= f.label :first_name, 'Nom', class: 'control-label'%>
              <%= f.text_field :last_name, class: 'form-control', :required => true %>
            </div>
            <div class="form-group required">
              <%= f.label :birthday, 'Date de Naissance', class: 'control-label'%>
              <%= f.text_field :birthday, class: 'form-control', id: 'birthday-date', placeholder: 'Date', :required => true %>
            </div>
            <div class="form-group required">
              <%= f.label :phone_number, 'Numéro de téléphone', class: 'control-label'%>
              <%= f.text_field :phone_number, class: 'form-control', :required => true %>
            </div>
            <div class="form-group required">
              <%= f.label :soi_number, 'Numéro S.O.I', class: 'control-label' %>
              <%= f.text_field :soi_number, class: 'form-control', :required => true %>
            </div>
            <div class="form-group required">
              <%= f.label :diploma, 'Diplôme', class: 'control-label' %>
              <%= f.select :diploma, options_for_select(
                  [
                      ["Bafa", "Bafa"],
                      ["Bafa en cours", "Bafa en cours"],
                      ["Aucun diplôme", "Aucun diplôme"]
                  ]
              ), {include_blank: false}, {class: 'form-control'} %>
            </div>
            <div class="form-group required">
              <%= f.label :circonscription, 'Circonscription', class: 'control-label' %>
              <%= f.select :circonscription, options_for_select(
                  [
                      ["CASPE 1 2 3 4", "CASPE 1 2 3 4"],
                      ["CASPE 5 13", "CASPE 5 13"],
                      ["CASPE 6 14", "CASPE 6 14"],
                      ["CASPE 7 15", "CASPE 7 15"],
                      ["CASPE 8 9 10", "CASPE 8 9 10"],
                      ["CASPE 11 12", "CASPE 11 12"],
                      ["CAS 16 17", "CAS 16 17"],
                      ["CASPE 18", "CASPE 18"],
                      ["CASPE 19", "CASPE 19"],
                      ["CASPE 20", "CASPE 20"]
                  ]
              ), {include_blank: false}, {class: 'form-control'} %>
            </div>
          </div>
        </div>
        <div class="panel panel-default devise-bs">
          <div class="panel-heading">
            <div class="form-heading-title">Facultatif</div>
          </div>
          <div class="panel-body">
            <div class="form-group">
              <%= f.label :avatar, 'Photo' %>
              <%= f.file_field :avatar, class: 'form-control' %>
            </div>
            <div class="form-group">
              <%= f.label :school, 'Ecole' %>
              <%= f.text_field :school, class: 'form-control' %>
            </div>
          </div>
        </div>
        <%= f.submit t('.update', default: 'Update'), class: 'btn btn-edit-form' %>
    <% end %>

    <p><%= t('.unhappy', default: 'Unhappy') %>? <%= link_to t('.cancel_my_account', default: 'Cancel my account'), user_registration_path(resource_name), data: { confirm: t('.are_you_sure', default: "Are you sure?") }, method: :delete %>.</p>

    <%= link_to t('.back', default: 'Back'), :back %>
  </div>

</div>

<script>
    $(function(){
        $('#birthday-date').datepicker({
            dateFormat: 'yy-mm-dd',
            monthNames: ['Janvier','Février','Mars','Avril','Mai','Juin','Juillet','Août','Septembre','Octobre','Novembre','Décembre'],
            dayNamesMin: ['D','L','M','M','J','V','S'],
        })
    })
</script>